RdsKafkaUser

Description
RdsKafkaUser is the Schema for the rdskafkausers API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

RdsKafkaUserSpec defines the desired state of RdsKafkaUser

statusobject

RdsKafkaUserStatus defines the observed state of RdsKafkaUser

.spec

Description
RdsKafkaUserSpec defines the desired state of RdsKafkaUser
Type
object
Required
authenticationauthorization
PropertyTypeDescription
authenticationobject

Authentication configuration for the Kafka user

authorizationobject

Authorization configuration controlling Kafka permissions

.spec.authentication

Description
Authentication configuration for the Kafka user
Type
object
Required
type
PropertyTypeDescription
passwordobject

Password secret reference

typestring

.spec.authentication.password

Description
Password secret reference
Type
object
Required
valueFrom
PropertyTypeDescription
valueFromobject

Secret key ref for the password

.spec.authentication.password.valueFrom

Description
Secret key ref for the password
Type
object
Required
secretKeyRef
PropertyTypeDescription
secretKeyRefobject

Secret key selector

.spec.authentication.password.valueFrom.secretKeyRef

Description
Secret key selector
Type
object
Required
key
PropertyTypeDescription
keystring

The key of the secret to select from. Must be a valid secret key.

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names TODO: Add other useful fields. apiVersion, kind, uid?

optionalboolean

Specify whether the Secret or its key must be defined

.spec.authorization

Description
Authorization configuration controlling Kafka permissions
Type
object
Required
aclstype
PropertyTypeDescription
aclsarray

Access control lists

typestring

.spec.authorization.acls

Description
Access control lists
Type
array

.spec.authorization.acls[]

Type
object
Required
hostoperationresource
PropertyTypeDescription
hoststring

Host is the host pattern that applies to the ACL

operationstring

Operation is one of the allowed Kafka operation types

resourceobject

Resource defines the type and name of the resource

.spec.authorization.acls[].resource

Description
Resource defines the type and name of the resource
Type
object
Required
namepatternTypetype
PropertyTypeDescription
namestring

Name is the resource name

patternTypestring

PatternType is how the name should be interpreted

typestring

Type is the type of resource

.status

Description
RdsKafkaUserStatus defines the observed state of RdsKafkaUser
Type
object
Required
lastUpdateTimephase
PropertyTypeDescription
lastUpdateTimestring
phasestring

INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file

reasonstring
secretstring
strimziKafkaUserNamestring
usernamestring

API Endpoints

The following API endpoints are available:

  • /apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers
    • DELETE: delete collection of RdsKafkaUser
    • GET: list objects of kind RdsKafkaUser
    • POST: create a new RdsKafkaUser
  • /apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers/{name}
    • DELETE: delete the specified RdsKafkaUser
    • GET: read the specified RdsKafkaUser
    • PATCH: partially update the specified RdsKafkaUser
    • PUT: replace the specified RdsKafkaUser
  • /apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers/{name}/status
    • GET: read status of the specified RdsKafkaUser
    • PATCH: partially update status of the specified RdsKafkaUser
    • PUT: replace status of the specified RdsKafkaUser

/apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers

HTTP method
DELETE
Description
delete collection of RdsKafkaUser
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind RdsKafkaUser
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUserList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyRdsKafkaUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
201 - CreatedRdsKafkaUser schema
202 - AcceptedRdsKafkaUser schema
401 - UnauthorizedEmpty

/apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers/{name}

HTTP method
DELETE
Description
delete the specified RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified RdsKafkaUser
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyRdsKafkaUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
201 - CreatedRdsKafkaUser schema
401 - UnauthorizedEmpty

/apis/middleware.alauda.io/v1/namespaces/{namespace}/rdskafkausers/{name}/status

HTTP method
GET
Description
read status of the specified RdsKafkaUser
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified RdsKafkaUser
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyRdsKafkaUser schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKRdsKafkaUser schema
201 - CreatedRdsKafkaUser schema
401 - UnauthorizedEmpty